local gfx = {}
function gfx.init()
	
end
function gfx.draw(pause)
	love.graphics.setColor(_WHITE)
	love.graphics.draw(images.stars, 0, 0, 0, 1, 1, 0, 0)
	-- draw player and bullets
	love.graphics.setColor(player.color)
	love.graphics.draw(player.image, player.body:getX(), player.body:getY(), player.body:getAngle(), player.width/player.image:getWidth(), player.height/player.image:getHeight(), player.image:getWidth()/2, player.image:getHeight()/2)
	for i, bullet in ipairs(bullets) do
		love.graphics.setColor(bullet.color)
		love.graphics.draw(bullet.image, bullet.body:getX(), bullet.body:getY(), bullet.body:getAngle(), 2*bullet.radius/bullet.image:getWidth(), 2*bullet.radius/bullet.image:getHeight(), bullet.image:getWidth()/2, bullet.image:getHeight()/2)
		love.graphics.setColor(bullet.blast.color)
		love.graphics.draw(bullet.blast.image, bullet.blast.x, bullet.blast.y, math.pi, bullet.blast.sizeMod * bullet.blast.width/bullet.blast.image:getWidth(), bullet.blast.sizeMod * bullet.blast.height/bullet.blast.image:getHeight(), bullet.blast.image:getWidth()/2, bullet.blast.image:getHeight()/2)
	end
	-- draw aliens
	for i, alien in ipairs(aliens) do
		love.graphics.setColor(alien.color)
		love.graphics.draw(alien.image, alien.body:getX(), alien.body:getY(), alien.body:getAngle(), alien.width/alien.image:getWidth(), alien.height/alien.image:getHeight(), alien.image:getWidth()/2, alien.image:getHeight()/2)
	end
	love.graphics.setColor(mothership.color)
	love.graphics.draw(mothership.image, mothership.body:getX(), mothership.body:getY(), mothership.body:getAngle(), mothership.width/mothership.image:getWidth(), mothership.height/mothership.image:getHeight(), mothership.image:getWidth()/2, mothership.image:getHeight()/2)
	for i, bullet in ipairs(alienBullets) do
		love.graphics.setColor(bullet.color)
		love.graphics.draw(bullet.image, bullet.body:getX(), bullet.body:getY(), bullet.body:getAngle(), 2*bullet.radius/bullet.image:getWidth(), 2*bullet.radius/bullet.image:getHeight(), bullet.image:getWidth()/2, bullet.image:getHeight()/2)
	end
	-- draw world
	love.graphics.setColor(_GRAY)
	love.graphics.polygon("fill", worldobjects.wallL.body:getWorldPoints(worldobjects.wallL.shape:getPoints()))
	love.graphics.polygon("fill", worldobjects.wallR.body:getWorldPoints(worldobjects.wallR.shape:getPoints()))
	love.graphics.setColor(_GREEN)
	love.graphics.setLineStyle("rough")
	love.graphics.line(worldobjects.ground.chcoord)
	-- draw hud
	love.graphics.setColor(player.color)
	for i = 1, lives do
		love.graphics.draw(player.image, _WORLD_SIZE_X - 6, _WORLD_SIZE_Y - (10 + 12 * i), 0, 10/player.image:getWidth(), 5/player.image:getHeight(), player.image:getWidth()/2, player.image:getHeight()/2)
	end
--	love.graphics.print("lives: " .. lives, 300, 300)
	love.graphics.setColor(_WHITE)
	for i = math.max(lives + 1, 1), maxPlayerLives do
		love.graphics.draw(images.explosion, _WORLD_SIZE_X - 6, _WORLD_SIZE_Y - (10 + 12 * i), 0, 15/images.explosion:getWidth(), 15/images.explosion:getHeight(), images.explosion:getWidth()/2, images.explosion:getHeight()/2)
	end
	love.graphics.setColor(_YELLOW)
	for i = 1, playerBullets do
		love.graphics.draw(images.ammo, 2, _WORLD_SIZE_Y - 4*i, math.pi / 2, 3/images.ammo:getWidth(), 15/images.ammo:getHeight(), images.ammo:getWidth()/2, images.ammo:getHeight()/2)
	end
	-- draw text, do this last
	love.graphics.setFont(def_font)
	love.graphics.setColor(player.color)
	for i, mes in ipairs(player.shootText) do
		love.graphics.print("\"pew\"", mes.x, mes.y, mes.r, 1, 1, -5, 0)
	end
	love.graphics.setFont(font)
	if (pause) then
		love.graphics.setColor(_YELLOW)
		love.graphics.print(endmessage, _WORLD_SIZE_X/4, _WORLD_SIZE_Y/4, 0, 1, 1, 30)
	end
	love.graphics.setColor(scoremessage.color)
	love.graphics.print(score, 25, 10, 0, scoremessage.size)
end
return gfx
